
//-------------------------------------------------------------------------
//
//		Rock's Remote Control Admin Commands
//
//-------------------------------------------------------------------------
//
// Don't forget... this file gets used by the computer that you wish to play
// the game on.  This may, or may not be the same computer as the server.
//
// Commonly-used functions are bound as an Alt-lowercase letter, whereas more
// rarely used functions are bound as an Alt-Uppercase letter.  Feel free to
// rebind to different keys if you desire.  The only thing that really matters
// is the numerical code in the third parameter of the remoteEval() function.
// The code identifies the action to be performed.
//
//-------------------------------------------------------------------------
//		 Rock's Standard Admin Functions
//
//	Code	  Key		   Function
//
//    password	Alt-Shift-T	Admin Login/Logoff
//
//      N/A 	Alt-Shift-J	Load Admin Package (NONdedicated Servers only)
//	
//	25	Alt-up		Select Player forward
//	
//	26	Alt-down	Select Player backward
//	
//	29	Alt-v		Select Player in Targeted Vehicle
//
//	 1	Alt-w		Warn Selected Player
//	
//	 2	Alt-k		Kick Selected Player
//	
//	 3	Alt-b		Ban Selected Player
//	
//	 6	Alt-i		SuperScan Selected Player's vehicle
//	
//	 7	Alt-h		Heal Selected Player's vehicle
//
//	 8	Alt-d		Destroy Selected Player's vehicle
//
//	 9	Alt-p		Ping Selected Player
//
//	30	Alt-Shift-G	Play next Music Group
//	
//	31	Alt-Shift-O	Music Off
//	
//	24	Alt-Shift-P	Show info on all Players
//	
//	37	Alt-Shift-I	Show info on Selected Player
//
//	 4	Alt-Shift-A	Assign Admin rights to Selected Player
//	
//	 5	Alt-Shift-B	Add Selected Player to Ban List
//	
//	21	Alt-Shift-C	Cycle game to next map
//	
//	22	Alt-Shift-H	AutoHeal on/off
//	
//	23	Alt-Shift-L	Game Log on/off
//	
//	27	Alt-Shift-Z	ATR scoring on/off
//	
//	28	Alt-Shift-M	R99 Monitor on/off
//
//	32	Alt-Shift-R	Restart server for Default Setup
//
//	33	Alt-Shift-S	Restart server for Skirmish Setup
//
//	34	Alt-Shift-Q	Tag Monitor on/off
//
//	35	Alt-Shift-K	Idle Monitor on/off
//
//	36	Alt-Shift-U	NoUnk on/off
//
//	38	Alt-Shift-X	Random Thoughts on/off
//
//	39	Alt-Shift-E	AutoTeam Mode Selection
//
//	40	Alt-Shift-Y	Missile/Mine Limit on/off
//
//



//-------------------------------------------------------------------------

$RocksPasswordFile		= "RocksStuff\\RocksPassword.cs";
$RocksSkirmishFile		= "RocksStuff\\RocksSkirmish.cs";
$RocksKeyExtFile		= "RocksStuff\\RocksKeyExt.cs";

function RocksPasswordInit()
{
	$AdminPassword = "";

	if (isFile($RocksPasswordFile))
		exec($RocksPasswordFile);

	if ($AdminPassword == "")
		$AdminPassword = randomInt(1, 1000000);
}


function RocksNewServer(%code)
{
	if (isFile($RocksSkirmishFile))
		exec($RocksSkirmishFile);
	else return;

	remoteEval(2048, "RocksRemote", %code, $SkirmishGame, $SkirmishTeams,
		$SkirmishTeamColors, $SkirmishNplayers, $SkirmishPassword,
		$SkirmishMission, $SkirmishHostname, $SkirmishTimelimit,
		$SkirmishAllowances, $SkirmishAutoheal);
}

RocksPasswordInit();



//-------------------------------------------------------------------------
//			Rock's Standard Admin Functions
//
// Admin Login
bind(keyboard0, make, alt,shift,"T", TO,
		"remoteEval(2048, RocksRemote, \""@$AdminPassword@"\");");

// Warn Selected
bind(keyboard0, make, alt,  "w", TO, "remoteEval(2048, RocksRemote, 1);");


// Kick Selected
bind(keyboard0, make, alt,  "k", TO, "remoteEval(2048, RocksRemote, 2);");


// Ban Selected
bind(keyboard0, make, alt,  "b", TO, "remoteEval(2048, RocksRemote, 3);");


// Assign Admin Selected
bind(keyboard0, make, alt,shift,"A", TO, "remoteEval(2048, RocksRemote, 4);");


// Add to Ban List Selected
bind(keyboard0, make, alt,shift,"B", TO, "remoteEval(2048, RocksRemote, 5);");


// SuperScan Selected
bind(keyboard0, make, alt,  "i", TO, "remoteEval(2048, RocksRemote, 6);");


// Heal Selected
bind(keyboard0, make, alt,  "h", TO, "remoteEval(2048, RocksRemote, 7);");


// Destroy Selected
bind(keyboard0, make, alt,  "d", TO, "remoteEval(2048, RocksRemote, 8);");


// Ping Selected
bind(keyboard0, make, alt,  "p", TO, "remoteEval(2048, RocksRemote, 9);");


// Cycle game to next map
bind(keyboard0, make, alt,shift,"C", TO, "remoteEval(2048, RocksRemote, 21);");


// AutoHeal on/off
bind(keyboard0, make, alt,shift,"H", TO, "remoteEval(2048, RocksRemote, 22);");


// Game Log on/off
bind(keyboard0, make, alt,shift,"L", TO, "remoteEval(2048, RocksRemote, 23);");


// Show all players
bind(keyboard0, make, alt,shift,"P", TO, "remoteEval(2048, RocksRemote, 24);");


// Select forward
bind(keyboard0, make, alt,  "up", TO, "remoteEval(2048, RocksRemote, 25);");


// Select backward
bind(keyboard0, make, alt,  "down", TO, "remoteEval(2048, RocksRemote, 26);");


// ATR scoring on/off
bind(keyboard0, make, alt,shift,"Z", TO, "remoteEval(2048, RocksRemote, 27);");


// R99 Monitor on/off
bind(keyboard0, make, alt,shift,"M", TO, "remoteEval(2048, RocksRemote, 28);");


// Select Player in Targeted Vehicle
bind(keyboard0, make, alt,  "v", TO, "remoteEval(2048, RocksRemote, 29);");


// Play next Music Group
bind(keyboard0, make, alt,shift,"G", TO, "remoteEval(2048, RocksRemote, 30);");


// Music Off
bind(keyboard0, make, alt,shift,"O", TO, "remoteEval(2048, RocksRemote, 31);");


// Restart server with Default Setup
bind(keyboard0, make, alt,shift,"R", TO, "remoteEval(2048, RocksRemote, 32);");


// Restart server with Skirmish Setup
bind(keyboard0, make, alt,shift,"S", TO, "RocksNewServer(33);");


// Tag Monitor on/off
bind(keyboard0, make, alt,shift,"Q", TO, "remoteEval(2048, RocksRemote, 34);");


// Idle Monitor on/off
bind(keyboard0, make, alt,shift,"K", TO, "remoteEval(2048, RocksRemote, 35);");


// NoUnk on/off
bind(keyboard0, make, alt,shift,"U", TO, "remoteEval(2048, RocksRemote, 36);");


// Show Info Selected
bind(keyboard0, make, alt,shift,"I", TO, "remoteEval(2048, RocksRemote, 37);");


// Random Thoughts on/off
bind(keyboard0, make, alt,shift,"X", TO, "remoteEval(2048, RocksRemote, 38);");


// AutoTeam on/off
bind(keyboard0, make, alt,shift,"E", TO, "remoteEval(2048, RocksRemote, 39);");


// Missile/Mine Limitor on/off
bind(keyboard0, make, alt,shift,"Y", TO, "remoteEval(2048, RocksRemote, 40);");



// Binding for easy load of the Admin Package for Non-Dedicated Servers.
// If you are doing a Non-Dedicated Server, you should hit this key BEFORE
// hitting the Create Game button.  The key will automatically UNBind once
// the package loads to prevent a second loading.
//
bind(keyboard0, make, alt,shift,"J", TO,
		"exec(\"RocksStuff\\\\DMServer\\\\ExampleDMAdmin.cs\");");


//-------------------------------------------------------------------------
//--------------------- Do not edit below this line -----------------------
//--------------------- Do not edit below this line -----------------------
//--------------------- Do not edit below this line -----------------------
//-------------------------------------------------------------------------
//
// Extension codes should be 100 and higher, and are handled in the
// xxxKeyExt.cs file.  Do not edit below this line... add any new codes
// into your key-extension file
//
if (isFile($RocksKeyExtFile))
	exec($RocksKeyExtFile);


