




//
// These items set up the features of your Server Admin.  Carefully visit each
// of these items, read the comment, and set the value accordingly.
//
// Note that your Password is NOT set here.  It is set in RocksPassword.cs.
//




// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// ------------------------------- Setup ------------------------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// Fill this out to be displayed to the player in a messageBox when he enters
// the server.  You can set it to the null string "" if you want to disable it.
//
$RocksWelcomeMsg = "\nWelcome to my TDM Server.\n\nKeep the language clean.\n\n";



// --------------------------------------------------------------------------
// This is the directory location of where you installed (unzipped) the Admin
// package relative to the main Starsiege directory.
//
$RocksInstallDir	= "RocksStuff";



// --------------------------------------------------------------------------
// Make sure you edit the xxxPassword.cs file to enter your own password.
// If you don't do this, a random password will be defaulted and effectively
// lock out all admin control from anybody, including you.  This file is
// located in the install directory.
//
$RocksPasswordFile	= "RocksPassword.cs";



// --------------------------------------------------------------------------
// This is for custom extensions to Rock's Server Admin package.  There is
// a template file, RocksTemplateExt.cs, with empty extension functions.  You
// can copy the file to a filename of your choosing and then you can fill out
// the extensions in that file if you have the desire and the know-how.  Any
// function that you do not wish to use should be deleted.  If you wish to
// operate the Admin Package in its default configuration, just leave this
// value set to the null string "".  This file is located under the install
// directory.
//
$RocksAdminExtensions	= "TDMServer\\ExampleTDMExt.cs";



// --------------------------------------------------------------------------
// The name of the Game Log file where game activity is logged if AdminLog
// is set to TRUE.  The file can be any name, but if you want to read it with
// with Notepad, then give it a .txt file-extension.  The file is located in
// the Starsiege directory, not the install directory, because Starsiege will
// fail if it attempts to write in a different directory.
//
$RocksLogFilename	= "RocksTDMGameLog.txt";



// --------------------------------------------------------------------------
// The name of the IP Ban List file.  It has to be a .cs filename.  Since
// this file also needs to be writable, it is also located in the Starsiege
// directory, not the install directory.
//
$RocksBanFilename	= "RocksBanList.cs";



// --------------------------------------------------------------------------
// An email address where people can request to be unbanned or ask for an
// Access Key.  The message is disabled if you set this to an empty string "".
//
$RocksAdminEmail	= "";



// --------------------------------------------------------------------------
// This is the team color that Admin players will have when they take Admin
// control.  It can be "RED", "YELLOW", "PURPLE", or "BLUE".  Having the admin
// color be different than the DM-color (RED) lets the admin-players chat
// privately via the team-chat key.  However, this will also make your admin
// status stick out because admin will be a different color than other players.
// This feature is automatically disabled in Team games.
//
$RocksAdminColor	= "RED";



// --------------------------------------------------------------------------
// If RocksAdminLog and RocksSSLog are both set to TRUE, then Starsiege's
// built-in log facility is enabled, and Rock's is disabled.  If you wish
// to use Rock's Log instead, then set RocksAdminLog to TRUE and RocksSSLog
// to FALSE.  If you don't want to use ANY logging, then set RocksAdminLog to
// FALSE.  Note that logging may add some lag every time a log-entry is
// recorded, so you may want to leave RocksAdminLog set to FALSE if your
// system is a bit slow.  If you decide to use Starsiege's built-in log
// facility, the log's filename will still be whatever is set in the
// RocksLogFilename variable.
//
$RocksAdminLog		= TRUE;
$RocksSSLog		= FALSE;



// --------------------------------------------------------------------------
// Time in seconds to delay auto-heal.  Set it to a negative number to disable
// it yet keep it switchable on/off from your Admin control.  If you set it
// to 0, you won't be able to turn it on from your Admin control.
//
$RocksHealDelay		= -8;



// --------------------------------------------------------------------------
// Set this to TRUE to deny entry to "unknowns" and "trainees".  It verifies
// a player's game-name against these two handles and ejects them with a polite
// messageBox indicating that they need to get a REAL name.  This occurs when
// the player first enters the server.
//
$RocksNoUnkEnable	 = FALSE;



// --------------------------------------------------------------------------
// If this is set to TRUE, the R99 Monitor routine will be visited once
// every few seconds according to the RocksMonitorRate setting.  If a
// crash attempt is detected, the player is automatically Blisted (added to
// the Ban List) and banned from the game.
//
$RocksR99Enable		= TRUE;



// --------------------------------------------------------------------------
// If this is set to TRUE, the color-tag Monitor routine will be visited
// once every few seconds according to the RocksMonitorRate setting.
// It verifies that ONLY color-controls are used within angle-brackets
// and, if improper tags are found, will eject the player with a polite
// messageBox indicating that only appropriate color-tags are permitted within
// the angle-brackets.  The player can fix the tag then re-enter the game.
//
$RocksTagEnable		= TRUE;



// --------------------------------------------------------------------------
// This controls the Idle Detector timeout.  This is used to prevent players
// from camping in the Wait Room but not playing the game, thus consuming
// connection bandwidth from other players.  The value is expressed in
// seconds.  The player is given a polite ejection-warning when 60 seconds
// are remaining.  If the time expires, the player will be ejected.  The
// player can re-enter at any time.  A value of 0 permanently disables it
// and it cannot be turned on from your remote.  Set it to a negative number
// to disable it, yet still be able to turn it on/off from your remote.
//
$RocksIdleTime		= 480;



// --------------------------------------------------------------------------
// This controls how often, in seconds, the Monitor is visited.  The Monitor
// performs various run-time activity such as watching a player's name/handle
// for inappropriate strings (non-color tags or R99 crash attempts) and idle
// Wait Room campers.  Note that despite this setting, the Monitor only runs
// if RocksR99Enable is TRUE, RocksTagEnable is TRUE, or RocksIdletime is a
// positive number.
//
$RocksMonitorRate	= 5;



// --------------------------------------------------------------------------
// This enables the ATR-style of scoring.  This scoring applies points
// according to the following formula:   (kills / (deaths + 1)) * 100
// Therefore, the scoring stresses a high kills-to-deaths ratio, thus
// rewarding survival and combat abilities instead of the raw number
// of kills.
//
$RocksATRscoring	= FALSE;



// --------------------------------------------------------------------------
// Set RAKeyEnable to TRUE if you wish to enable the RAK Pack, which is a
// seperate package.  Refer to the instructions included in the RAK Pack.
// If the RAK Pack is not installed, then this has no effect.
//
$RAKeyEnable		= FALSE;



// --------------------------------------------------------------------------
// The SuperScanner is NOT a typical scanner.  The intent is to catch
// cheat-vehicles, and in this regard, the scanner is MUCH MORE than a
// typical vehicle-scanner.  It also verifies full validity of vehicle
// component and weapons parameters.  Note that not all parameters can 
// be verified by the server, but it does verify component/weapon sizes
// in relation to their mount-points.
//
// The RocksSuperScan variable lets you turn the whole Scan-feature on/off,
// whereas RocksPlayerScan lets the scanner be accessed by both players and
// Admin with their Scan Key, typically the I-Key.  If RocksSuperScan is
// TRUE, then Admin players can still scan a player's vehicle with their
// Admin Remote Control, regardless of the  setting of the RocksPlayerScan
// variable.
//
// The SuperScanner logs any out-of-parameter vehicles (client-side hacks)
// to the file indicated in the RocksScanLogFilename variable.  If the
// filename is set to the null string "", then logging is disabled.
// Valid vehicles are not logged.
//
// Don't forget to turn BOTH of these off if the Admin Package is hooked
// into a game that requires the Scan Key for game-operations.
//
$RocksSuperScan		= TRUE;

$RocksPlayerScan	= FALSE;

$RocksScanLogFilename	= "RocksCheatLog.txt";



// --------------------------------------------------------------------------
// This enables the RocksRandomThought package.  This package simply dumps
// some one-liners to the screen from the server.  Set it to TRUE to turn it
// on and FALSE to turn it off.  Set the time to the number of seconds between
// thoughts.
//
$RocksRandomThoughts	= FALSE;

$RocksRandomThoughtTime	= 150;



// --------------------------------------------------------------------------
// The Map Randomizer can do two things with the map-list that is declared in
// the Server file.  It can randomize the entire list, -OR- it can select a
// map at random from the list and then, starting with that map, rotate thru
// the list in the order that the list was originally setup.  Since these two
// operations are logically mutually exclusive, it doesn't make sense to do
// both at the same time, so pick one, or none.  However, if BOTH options are
// enabled (TRUE), then full-list randomization will take precedence.
//
// RocksRandomMapList enables full-list randomization, and RocksRandomMapStart
// enables just a randomized starting map.  Every Server Reset/Restart will
// generate new randomizations.
//
$RocksRandomMapList	= TRUE;

$RocksRandomMapStart	= FALSE;



// --------------------------------------------------------------------------
// This controls the number of maps from your map-list to be executed.  For
// example, you might have 50 maps in your map-list, but you want to run 10
// of them before the server resets.  Once it resets, it will NOT pick up
// where it left off, so this setting only makes sense when used in combination
// with the Map Randomization above.  If RocksRandomMapList is enabled and
// you have a large number of maps, then this setting will cause the server
// to pick a random subset of maps from your full set of maps every time it
// resets.  Setting this to 0 will disable it and the server will always run
// all of the maps in the list.
//
$RocksResetMapLength	= 0;



// --------------------------------------------------------------------------
// AutoTeam runs in 3 modes... OFF, UNTAGGED, and TAGGED.  You can also change
// to any of these three modes using your Admin controls.  Hit Alt-Shift-E to
// see the current mode, and hit it again (and again) to rotate thru the
// different modes.  The new mode takes effect 10 seconds later.
//
// OFF:  If AutoTeam is set to FALSE, then AutoTeam is OFF and all TDM Team
// selection works like it always has, and players can get on any team they
// want.  The RocksAutoTeamTag value is ignored.
//
// UNTAGGED:  If RocksAutoTeam is set to TRUE, and RocksAutoTeamTag is
// empty (not set), then AutoTeam is in the untagged mode.  Players are
// automatically placed on any of the "allowed" teams and the team-balance
// is automatically maintained.  Players cannot select their own teams
// because it would defeat the automatic team-balancing.
//
// An "allowed" team is one of the bit-mapped team colors that you choose in
// your server-file, one for each map, such as:
//
//	$RocksTDMColors0 = 0101;
//
// where the colors Red and Yellow are chosen for $MissionCycling::Stage0.
// This addresses the problem where the server typically enables all four
// teams and players end up dropping on the wrong teams.
//
// TAGGED:  If RocksAutoTeam is set to TRUE, and RocksAutoTeamTag is set to
// a team-tag, like "[CKN]" for example, then AutoTeam is running in the
// tagged mode.  This mode is useful for squad matches.  In this mode, the
// Admin package keeps members of the same squad (thus the tag) on the same
// team, and players without the tag are automatically placed on one of the
// remaining allowed teams according.  Of course, if there's only one other
// allowed team, then all untagged players are placed on that team.  Thus,
// if one side or the other doesn't have enough players, a team can get
// outnumbered.  To move a player from one team to another, the player should
// delete or add the tag to his name and then simply change teams, or respawn.
// This mode also uses the bitmapped "allowed" team colors.
//
// In both the TAGGED and UNTAGGED modes, the initial team selection is
// chosen from the set of bitmapped "allowed" teams at random.
//
// These values are valid only in TDM and CTF mode.
//
$RocksAutoTeam		= TRUE;

$RocksAutoTeamTag	= "";



// --------------------------------------------------------------------------
// If missiles and/or mines are enabled, this value is used to limit the
// number of missile/mine racks installed on vehicles.  If you set it to 0,
// then there is no limit, otherwise you can set it to some positive number,
// with a value of 2 being typical.  Set it to a negative number to disable
// it yet keep it switchable on/off from your Admin control.  If you set it
// to 0, you won't be able to turn it on from your Admin control.
//
$RocksMMLimit		= -2;




// --------------------------------------------------------------------------
// This HAS to be the LAST item in this setup file.  DO NOT EDIT!
//
exec($RocksInstallDir @ "\\" @ "RocksServerAdmin.cs");

